Loading...
Searching...
No Matches
pcl::gpu::kinfuLS::tsdf_buffer Struct Reference

Structure to handle buffer addresses. More...

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/tsdf_buffer.h>`

## Public Member Functions

| tsdf_buffer ()
| Default constructor.

## Public Attributes

short2 * | tsdf_memory_start
| Address of the first element of the TSDF volume in memory.
short2 * | tsdf_memory_end
| Address of the last element of the TSDF volume in memory.
short2 * | tsdf_rolling_buff_origin
| Memory address of the origin of the rolling buffer.
int3 | origin_GRID
| Internal cube origin for rollign buffer.
float3 | origin_GRID_global
| Cube origin in world coordinates.
float3 | origin_metric
| Current metric origin of the cube, in world coordinates.
float3 | volume_size
| Size of the volume, in meters.
int3 | voxels_size
| Number of voxels in the volume, per axis.

## Detailed Description

Structure to handle buffer addresses.

Definition at line 50 of file tsdf_buffer.h.

## Constructor & Destructor Documentation

## tsdf_buffer()

pcl::gpu::kinfuLS::tsdf_buffer::tsdf_buffer | ( |  | ) |

inline

Default constructor.

Definition at line 71 of file tsdf_buffer.h.

References origin_GRID, origin_GRID_global, origin_metric, tsdf_memory_end, tsdf_memory_start, tsdf_rolling_buff_origin, volume_size, and voxels_size.

## Member Data Documentation

## origin_GRID

int3 pcl::gpu::kinfuLS::tsdf_buffer::origin_GRID

Internal cube origin for rollign buffer.

Definition at line 60 of file tsdf_buffer.h.

Referenced by tsdf_buffer().

## origin_GRID_global

float3 pcl::gpu::kinfuLS::tsdf_buffer::origin_GRID_global

Cube origin in world coordinates.

Definition at line 62 of file tsdf_buffer.h.

Referenced by tsdf_buffer().

## origin_metric

float3 pcl::gpu::kinfuLS::tsdf_buffer::origin_metric

Current metric origin of the cube, in world coordinates.

Definition at line 64 of file tsdf_buffer.h.

Referenced by tsdf_buffer().

## tsdf_memory_end

short2* pcl::gpu::kinfuLS::tsdf_buffer::tsdf_memory_end

Address of the last element of the TSDF volume in memory.

Definition at line 56 of file tsdf_buffer.h.

Referenced by tsdf_buffer().

## tsdf_memory_start

short2* pcl::gpu::kinfuLS::tsdf_buffer::tsdf_memory_start

Address of the first element of the TSDF volume in memory.

Definition at line 54 of file tsdf_buffer.h.

Referenced by tsdf_buffer().

## tsdf_rolling_buff_origin

short2* pcl::gpu::kinfuLS::tsdf_buffer::tsdf_rolling_buff_origin

Memory address of the origin of the rolling buffer.

MUST BE UPDATED AFTER EACH SHIFT.

Definition at line 58 of file tsdf_buffer.h.

Referenced by tsdf_buffer().

## volume_size

float3 pcl::gpu::kinfuLS::tsdf_buffer::volume_size

Size of the volume, in meters.

Definition at line 66 of file tsdf_buffer.h.

Referenced by tsdf_buffer().

## voxels_size

int3 pcl::gpu::kinfuLS::tsdf_buffer::voxels_size

Number of voxels in the volume, per axis.

Definition at line 68 of file tsdf_buffer.h.

Referenced by tsdf_buffer().

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/tsdf_buffer.h